<template>
	<el-row class="makeLoans">
		<el-form ref="form" :model="form" label-width="5rem">
			<el-row>
				<el-col :span="6" :offset="1">
					<el-form-item label="转让对价">{{form.acceptAmount}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="融资利率">{{form.financingInterestRate}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="放款金额">{{form.shouldMakeLoanAmount}}</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="6" :offset="1">
					<el-form-item label="实放金额">{{form.actualMakeLoanAmount}}</el-form-item>
				</el-col>
				<el-col :span="6">
					<el-form-item label="服务费">{{form.serviceAmount}}</el-form-item>
				</el-col>
			</el-row>
		</el-form>
		<ootecoTable :conf="tableConf"></ootecoTable>
	</el-row>
</template>

<script>
import ootecoTable from '@com/ooteco_table'
export default {
	mixins: [$mixin],
	components: { ootecoTable },
	data() {
		return {
			form: {},
			tableConf: {
				params: {
					businessId: this.$route.query.businessId
				},
				otherColumn: {
					index: {}
				},
				headers: [
					{
						label: '放款日期',
						prop: 'makeLoanDate'
					},
					{
						label: '到期时间',
						prop: 'latestRepayDate'
					},
					{
						label: '金额(元)',
						prop: 'amount'
					},
					{
						label: '电子回单',
						prop: 'attachment',
						type: 'download',
						style: {
							textAlign: 'center'
						}
					},
					{
						label: '确认人',
						prop: 'confirmorName'
					},
					{
						label: '确认时间',
						prop: 'confirmDate'
					},
					{
						label: '是否逾期',
						prop: 'overDue',
						filter: val => {
							return val ? '是' : '否'
						}
					}
				]
			}
		}
	},
	computed: {},
	methods: {
		initData() {
			this.$http
				.get({
					url: 'biz/select/make-loan',
					params: {
						businessId: this.$route.query.businessId
					}
				})
				.then(
					({ data }) => {
						this.form = data
                        this.$set(this.tableConf, 'data', data.list)
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {
		this.initData()
	}
}
</script>

<style lang="less">
.makeLoans {
	.el-form-item {
		margin-bottom: 0;
	}
	.cell {
		div {
			text-align: center;
		}
	}
}
</style>
